html {
  font-size: 14px;
}

@media (min-width: 768px) {
  html {
    font-size: 16px;
  }
}

.btn:focus,
.btn:active:focus,
.btn-link.nav-link:focus,
.form-control:focus,
.form-select:focus,
.form-check-input:focus,
textarea:focus {
    border-color: rgb(76,175,80) !important;
    box-shadow: 0 0 0 0.1rem white, 0 0 0 0.25rem rgba(76,175,80,0.35) !important;
}

html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    margin: 0;
}

/* HEADER */
.ph-navbar {
    background: #ffffff;
    border-bottom: 3px solid #4CAF50;
}

.header-logo {
    height: 90px;
}

.brand-text {
    font-family: 'DM Sans', sans-serif;
    line-height: 1;
    color: #2e7d32;
}

.nav-link {
    font-weight: 500;
    color: #333 !important;
}

    .nav-link:hover {
        color: #4CAF50 !important;
    }

/* FOOTER */

.ph-footer {
    background: #2e7d32;
    color: white;
    flex-shrink: 0;
}   

    .ph-footer small {
        display: block;
        margin-top: 2px;
    }

.footer-top {
    background: #e8f5e9;
    color: #2e7d32;
    font-weight: 500;
    padding: 8px 0;
}

.footer-logo {
    height: 100px;
    display: block;
}

.footer-title {
    font-weight: 600;
    margin-bottom: 10px;
}

.footer-links,
.footer-contact {
    list-style: none;
    padding: 0;
}

    .footer-links li,
    .footer-contact li {
        margin-bottom: 6px;
    }

    .footer-links a {
        color: white;
        text-decoration: none;
    }

        .footer-links a:hover {
            text-decoration: underline;
        }

.footer-divider {
    border-color: rgba(255,255,255,0.2);
    margin: -15px 0 6px 0;

}

/* DROPDOWN - Mantener verde en todos los estados */
/*.navbar-nav .dropdown-item:hover,
.navbar-nav .dropdown-item:focus,
.navbar-nav .dropdown-item:active {
    background-color: #74c075 !important;
    color: #198754 !important;
}
*/
.dropdown-menu .dropdown-item:hover,
.dropdown-menu .dropdown-item:focus {
    background-color: #e9f7ef;
    color: #198754;
}

.dropdown-menu .dropdown-item {
    transition: all 0.2s ease;
}